getLightRhythmsCityInfo(data: CommonLonLatParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Retrieve city information for the specified location.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters: bizId (business ID), bizType (business type: 0 = device, 1 = group), lon (longitude), lat (latitude). |
Return Value
Type: Promise<GetLightRhythmsCityInfoResult>
Includes country, province, and city.
Referenced Types
interface
GetLightRhythmsCityInfoResult| Property | Type | Description |
|---|---|---|
country | string | Country |
province | string | Province |
city | string | City |
Valid Values
CommonLonLatParams.bizType
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
Examples
Request example
Response example
FAQ
Why does the biological rhythm cloud capability call fail?
Biological rhythm must have advanced capabilities enabled on the Tuya Developer Platform product feature definition page. Otherwise cloud capability calls will fail.